
OBJS_LZO = \
	src/lzo/minilzo.o


OBJS_DEH = \
	src/deh/ammo.o \
	src/deh/attacks.o \
	src/deh/buffer.o \
	src/deh/convert.o \
	src/deh/frames.o \
	src/deh/info.o \
	src/deh/main.o \
	src/deh/system.o \
	src/deh/util.o \
	src/deh/wad.o \
	src/deh/mobj.o \
	src/deh/sounds.o \
	src/deh/things.o \
	src/deh/weapons.o \
	src/deh/misc.o \
	src/deh/text.o \
	src/deh/storage.o \
	src/deh/patch.o \
	src/deh/rscript.o

OBJS_GLBSP = \
	src/glbsp/analyze.o \
	src/glbsp/blockmap.o \
	src/glbsp/glbsp.o \
	src/glbsp/level.o \
	src/glbsp/node.o \
	src/glbsp/reject.o \
	src/glbsp/seg.o \
	src/glbsp/system.o \
	src/glbsp/util.o \
	src/glbsp/wad.o

OBJS_EPI = \
	src/epi/arrays.o \
	src/epi/asserts.o \
	src/epi/basicimage.o \
	src/epi/bytearray.o \
	src/epi/epi_all.o \
	src/epi/errors.o \
	src/epi/exe_path.o \
	src/epi/files_all.o \
	src/epi/filesystem_all.o \
	src/epi/filesystem.o \
	src/epi/image_hq2x.o \
	src/epi/image_jpeg.o \
	src/epi/image_png.o \
	src/epi/math_angle.o \
	src/epi/math_bbox.o \
	src/epi/math_colour.o \
	src/epi/math_crc.o \
	src/epi/math_md5.o \
	src/epi/math_point.o \
	src/epi/math_vector.o \
	src/epi/memfile.o \
	src/epi/memmanager.o \
	src/epi/mersenne_twist.o \
	src/epi/stacks.o \
	src/epi/strings.o \
	src/epi/timestamp.o \
	src/epi/utility.o \
	src/epi/path_all.o

OBJS_EDGE = \
	src/edge/con_con.o \
	src/edge/con_cvar.o \
	src/edge/con_main.o \
	src/edge/ddf_anim.o \
	src/edge/ddf_atk.o \
	src/edge/ddf_boom.o \
	src/edge/ddf_colm.o \
	src/edge/ddf_font.o \
	src/edge/ddf_game.o \
	src/edge/ddf_image.o \
	src/edge/ddf_lang.o \
	src/edge/ddf_levl.o \
	src/edge/ddf_line.o \
	src/edge/ddf_main.o \
	src/edge/ddf_mobj.o \
	src/edge/ddf_mus.o \
	src/edge/ddf_sect.o \
	src/edge/ddf_sfx.o \
	src/edge/ddf_stat.o \
	src/edge/ddf_style.o \
	src/edge/ddf_swth.o \
	src/edge/ddf_weap.o \
	src/edge/dem_chunk.o \
	src/edge/dem_glob.o \
	src/edge/e_demo.o \
	src/edge/e_input.o \
	src/edge/e_main.o \
	src/edge/e_player.o \
	src/edge/f_finale.o \
	src/edge/g_game.o \
	src/edge/gui_ctls.o \
	src/edge/gui_main.o \
	src/edge/hu_font.o \
	src/edge/hu_lib.o \
	src/edge/hu_stuff.o \
	src/edge/hu_style.o \
	src/edge/i_cd.o \
	src/edge/i_ctrl.o \
	src/edge/i_main.o \
	src/edge/i_sound.o \
	src/edge/i_video.o \
	src/edge/l_deh.o \
	src/edge/l_glbsp.o \
	src/edge/lu_gamma.o \
	src/edge/m_argv.o \
	src/edge/m_bbox.o \
	src/edge/m_cheat.o \
	src/edge/m_math.o \
	src/edge/m_menu.o \
	src/edge/m_misc.o \
	src/edge/m_netgame.o \
	src/edge/m_option.o \
	src/edge/m_random.o \
	src/edge/mus_2_midi.o \
	src/edge/n_network.o \
	src/edge/n_packet.o \
	src/edge/n_protocol.o \
	src/edge/p_action.o \
	src/edge/p_bot.o \
	src/edge/p_enemy.o \
	src/edge/p_forces.o \
	src/edge/p_inter.o \
	src/edge/p_lights.o \
	src/edge/p_map.o \
	src/edge/p_maputl.o \
	src/edge/p_mobj.o \
	src/edge/p_plane.o \
	src/edge/p_setup.o \
	src/edge/p_sight.o \
	src/edge/p_spec.o \
	src/edge/p_switch.o \
	src/edge/p_telept.o \
	src/edge/p_tick.o \
	src/edge/p_user.o \
	src/edge/p_weapon.o \
	src/edge/r2_util.o \
	src/edge/rad_act.o \
	src/edge/rad_pars.o \
	src/edge/rad_trig.o \
	src/edge/r_automap.o \
	src/edge/r_bsp.o \
	src/edge/r_data.o \
	src/edge/rgl_bsp.o \
	src/edge/rgl_fx.o \
	src/edge/rgl_main.o \
	src/edge/rgl_occ.o \
	src/edge/rgl_sky.o \
	src/edge/rgl_tex.o \
	src/edge/rgl_thing.o \
	src/edge/rgl_unit.o \
	src/edge/rgl_wipe.o \
	src/edge/r_image.o \
	src/edge/r_main.o \
	src/edge/r_modes.o \
	src/edge/r_sky.o \
	src/edge/r_things.o \
	src/edge/r_vbinit.o \
	src/edge/r_view.o \
	src/edge/s_blit.o \
	src/edge/s_cache.o \
	src/edge/s_music.o \
	src/edge/s_ogg.o \
	src/edge/s_sfx.o \
	src/edge/st_lib.o \
	src/edge/st_stuff.o \
	src/edge/sv_chunk.o \
	src/edge/sv_dump.o \
	src/edge/sv_glob.o \
	src/edge/sv_level.o \
	src/edge/sv_load.o \
	src/edge/sv_main.o \
	src/edge/sv_misc.o \
	src/edge/sv_mobj.o \
	src/edge/sv_play.o \
	src/edge/sv_save.o \
	src/edge/unx_compen.o \
	src/edge/unx_music.o \
	src/edge/unx_net.o \
	src/edge/unx_system.o \
	src/edge/v_colour.o \
	src/edge/wi_stuff.o \
	src/edge/w_textur.o \
	src/edge/w_wad.o \
	src/edge/z_zone.o

OBJS = \
	src/main.o \
	src/mem.o \
	src/swapth.o \
	$(OBJS_LZO) \
	$(OBJS_DEH) \
	$(OBJS_GLBSP) \
	$(OBJS_EPI) \
	$(OBJS_EDGE)

